post
https://mediastoreapi-sandbox.cleeng.com/connectors/adyen/initial-payment
Use /connectors/adyen/initial-payment endpoint to perform payment with Adyen (that means payment with card with 3D Secure support, Apple Pay or Google Pay).
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
If you would like to test this API call but your client-side integration is not ready yet, add a prefix of test_ to the test card credentials, like in the sample below.
{
"orderId": 123456789,
"returnUrl": "https://testwebsite.com",
"paymentMethod": {
"type": "scheme",
"encryptedCardNumber": "test_5555555555554444",
"encryptedExpiryMonth": "test_03",
"encryptedExpiryYear": "test_2030",
"encryptedSecurityCode": "test_737",
"holderName": "T Cook"
}
}Errors
| HTTP Status code | Error code | Message |
|---|---|---|
| 400 | REQ0001 | Invalid request body |
| 401 | AUTH0001 | Missing required JWT |
| 401 | AUTH0002 | Invalid JWT token |
| 422 | ADYEN0001 | Order not found |
| 422 | ADYEN0002 | Payment refused |
| 429 | CPT0001 | Google reCAPTCHA verification required! |
| 429 | CPT0002 | Google reCAPTCHA verification failed! |
| 500 | SXXXX (X - number) | Internal Server Error |

